Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/30/2022 in all areas

  1. That is a little more involved. (defun C:FOO (/ SS layers lay x lst SS1) (setq SS (ssadd)) ;emty selecton set to add entity's to (setq layers (Table "layer")) (foreach lay layers (setq x (entget (tblobjname "layer" lay))) (if (eq (cdr (assoc 62 x)) 7) (setq lst (cons lay lst)) ;add each layer that has color white to a new list ) ) (foreach lay lst (if (setq SS1 (ssget "_X" (list '(0 . "*POLYLINE") (cons 8 lay) '(62 . 256) (cons 410 (getvar 'ctab))))) ;process that 2nd list of layers to see if any (setq SS (acet-ss-union (list SS SS1))) ;polylines are bylayer and add them to ss ) (setq SS1 nil) ; reset so things arn't added twice ) (if (setq SS1 (ssget "_X" (list '(0 . "LWPOLYLINE") '(62 . 7) (cons 410 (getvar 'ctab))))) ;alos find any polylines that are white (setq SS (acet-ss-union (list SS SS1))) ;and add them to SS ) (sssetfirst nil SS) ) ;Written By Michael Puckett (defun Table (s / d r) (while (setq d (tblnext s (null d))) (setq r (cons (cdr (assoc 2 d)) r)) ) )
    3 points
  2. This handy reference http://lee-mac.com/ssget.html and look at 'ALL' changing his example (0 . "LINE") to be colour ( 62 . "Colour" ) and colour 256 is 'ByLayer' giving you something like (setq ss (ssget "_A" '((0 . "LWPOLYLINE")(62 . 256))) ) will select all polylines that are 'by layer' colour and create a selection set with them for you to do what you want after
    1 point
  3. Does importstyleandsettings work ? You may have to try saving the dwt back to a 2012.dwg version then import not sure what may be lost. Does a dxfout and dxf in work. There is just so much stuff in a CIV3D template, I can export and import the description keys, but not label styles etc
    1 point
×
×
  • Create New...